GetNodesToAttributesRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords.impl.pb, class: GetNodesToAttributesRequestPBImpl

Package org.apache.hadoop.yarn.api.protocolrecords.impl.pb

# Class GetNodesToAttributesRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.GetNodesToAttributesRequest
org.apache.hadoop.yarn.api.protocolrecords.impl.pb.GetNodesToAttributesRequestPBImpl

public class GetNodesToAttributesRequestPBImpl extends org.apache.hadoop.yarn.api.protocolrecords.GetNodesToAttributesRequest
Request to get hostname to attributes mapping.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetNodesToAttributesRequestPBImpl()`
  `GetNodesToAttributesRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetNodesToAttributesRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `Set<String>`
  `getHostNames()`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.GetNodesToAttributesRequestProto`
  `getProto()`
  `int`
  `hashCode()`
  `void`
  `setHostNames(Set<String> hostnames)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.GetNodesToAttributesRequest

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetNodesToAttributesRequestPBImpl

    public GetNodesToAttributesRequestPBImpl()

  - ### GetNodesToAttributesRequestPBImpl

    public GetNodesToAttributesRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetNodesToAttributesRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.GetNodesToAttributesRequestProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### setHostNames

    public void setHostNames(Set<String> hostnames)
    Specified by:
      `setHostNames` in class `org.apache.hadoop.yarn.api.protocolrecords.GetNodesToAttributesRequest`

  - ### getHostNames

    public Set<String> getHostNames()
    Specified by:
      `getHostNames` in class `org.apache.hadoop.yarn.api.protocolrecords.GetNodesToAttributesRequest`